[data-component='RTSessionPage'] {
    font-family: 'Roboto Mono', monospace;
    font-weight: 400;
    font-style: normal;
    font-size: 12px;
    height: 100%;
    display: flex;
    flex-direction: column;
    overflow: hidden;
    margin: 0px 8px;
}

    [data-component='RTSessionPage'] > div {
        flex-shrink: 0;
    }

    [data-component='RTSessionPage'] .content-main {
        flex-grow: 1;
        flex-shrink: 1 !important;
        margin: 0px 16px;
        display: flex;
        overflow: hidden;
        margin-bottom: 24px;
    }

        [data-component='RTSessionPage'] .content-main .content-block {
            position: relative;
            display: flex;
            flex-direction: column;
            max-height: 100%;
            width: 100%;
        }

            [data-component='RTSessionPage'] .content-main .content-block .content-block-title {
                flex-shrink: 0;
                padding-top: 1px;
                padding-bottom: 4px;
                position: relative;
            }

            [data-component='RTSessionPage'] .content-main .content-block .content-block-body {
                /*color: #6e6e7f;*/
                position: relative;
                flex-grow: 1;
                padding: 8px 0px;
                padding-top: 4px;
                line-height: 1.2em;
                overflow: auto;
                /*background-color: */white;
            }

                [data-component='RTSessionPage'] .content-main .content-block #eventsContainer {
                    background-color: #323d5b;
                }

                [data-component='RTSessionPage'] .content-main .content-block .content-block-body.full {
                    padding: 0px;
                }

        [data-component='RTSessionPage'] .content-main .content-logs {
            flex-grow: 1;
            display: flex;
            flex-direction: column;
            overflow: hidden;
        }

            [data-component='RTSessionPage'] .content-main .content-logs > div {
                flex-grow: 1;
            }

            [data-component='RTSessionPage'] .content-main .content-logs > .content-actions {
                flex-grow: 0;
                flex-shrink: 0;
                display: flex;
                align-items: center;
                justify-content: center;
                gap: 16px;
            }

            [data-component='RTSessionPage'] .content-main .content-logs > div.events {
                overflow: hidden;
            }

            [data-component='RTSessionPage'] .content-main .content-logs .conversation {
                display: flex;
                flex-shrink: 0;
                width: 100%;
                overflow: hidden;
                height: 500px;
                min-height: 0;
                max-height: 500px;                
            }

            [data-component='RTSessionPage'] .content-main .content-logs .events {
                display: flex;
                flex-shrink: 0;
                width: 100%;
                overflow: hidden;
                height: 50px;
                min-height: 0;
                max-height: 50px;                
            }

    [data-component='RTSessionPage'] .visualization {
        position: absolute;
        display: flex;
        bottom: 4px;
        right: 8px;
        padding: 4px;
        border-radius: 16px;
        z-index: 10;
        gap: 2px;
    }

        [data-component='RTSessionPage'] .visualization .visualization-entry {
            position: relative;
            display: flex;
            align-items: center;
            height: 40px;
            width: 100px;
            gap: 4px;
        }

            [data-component='RTSessionPage'] .visualization .visualization-entry.client {
                color: #0099ff;
            }

            [data-component='RTSessionPage'] .visualization .visualization-entry.server {
                color: #009900;
            }

            [data-component='RTSessionPage'] .visualization .visualization-entry canvas {
                width: 100%;
                height: 100%;
                color: currentColor;
            }

/* Common styles for the button */
.connect-button {
    border: none;
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
    display: inline-flex;
    align-items: center;
    gap: 8px;
    transition: background-color 0.3s;
    border-radius: 50px;
    margin-top: 20px;
}

/* Styles when the button is in the 'Connect' state */
.action-button {
    background-color: grey;
    color: #fff;
}

    .action-button:hover {
        background-color: #5e5e5e;
    }

/* Styles when the button is in the 'Disconnect' state */
.regular-button {
    background-color: #fff;
    color: #000;
    border: 1px solid #ccc;
}

    .regular-button:hover {
        background-color: #e6e6e6;
    }
